Index: doc/groups.dox
===================================================================
--- doc/groups.dox	(revision 952)
+++ doc/groups.dox	(revision 953)
@@ -387,5 +387,5 @@
 problem of maximum flow.
 
-\ref Circulation is a preflow push-relabel algorithm implemented directly 
+\ref Circulation is a preflow push-relabel algorithm implemented directly
 for finding feasible circulations, which is a somewhat different problem,
 but it is strongly related to maximum flow.
@@ -523,4 +523,11 @@
   Edmond's blossom shrinking algorithm for calculating maximum weighted
   perfect matching in general graphs.
+- \ref MaxFractionalMatching Push-relabel algorithm for calculating
+  maximum cardinality fractional matching in general graphs.
+- \ref MaxWeightedFractionalMatching Augmenting path algorithm for calculating
+  maximum weighted fractional matching in general graphs.
+- \ref MaxWeightedPerfectFractionalMatching
+  Augmenting path algorithm for calculating maximum weighted
+  perfect fractional matching in general graphs.
 
 \image html matching.png
Index: lemon/Makefile.am
===================================================================
--- lemon/Makefile.am	(revision 942)
+++ lemon/Makefile.am	(revision 953)
@@ -85,4 +85,5 @@
 	lemon/euler.h \
 	lemon/fib_heap.h \
+	lemon/fractional_matching.h \
 	lemon/full_graph.h \
 	lemon/glpk.h \
